nwtgck/piping-server 软件分析报告

基础信息

项目名称:nwtgck/piping-server

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1755510644368740352/1755510644444237824

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
mocha ReDoS 漏洞 ReDoS MPS-2022-54598 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
tough-cookie 原型污染 MPS-esyq-56vx 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
tough-cookie 2.5.0 4.1.3 间接依赖 建议修复
mocha 9.2.2 直接依赖 建议修复
semver 5.7.1 7.5.2 间接依赖 可选修复
request 2.88.2 直接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 201
BSD-3-Clause 8
Apache-2.0 11
ISC 33
Unlicense 1
BSD-2-Clause 7
Python-2.0 1
0BSD 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
isstream 0.1.2 间接依赖 npm
sprintf-js 1.0.3 直接依赖 npm
is-number 7.0.0 间接依赖 npm
typescript 5.0.4 直接依赖 npm
acorn 5.7.4 间接依赖 npm
resolve 1.22.2 间接依赖 npm
mime-db 1.52.0 间接依赖 npm
ms 2.1.2 间接依赖 npm
date-format 4.0.14 间接依赖 npm
has-symbols 1.0.3 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
setprototypeof 1.2.0 间接依赖 npm
espurify 1.8.1 间接依赖 npm
@types/request 2.48.12 直接依赖 npm
ts-node 10.9.2 间接依赖 npm
@types/caseless 0.12.2 间接依赖 npm
tweetnacl 0.14.5 间接依赖 npm
isexe 2.0.0 间接依赖 npm
fs-extra 8.1.0 间接依赖 npm
make-error 1.3.6 间接依赖 npm
tslint 6.1.3 直接依赖 npm
@babel/helper-validator-identifier 7.19.1 间接依赖 npm
randombytes 2.1.0 间接依赖 npm
verror 1.10.0 间接依赖 npm
builtin-modules 1.1.1 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
har-schema 2.0.0 间接依赖 npm
universal-deep-strict-equal 1.2.2 间接依赖 npm
diff-match-patch 1.0.5 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
@types/power-assert-formatter 1.4.30 间接依赖 npm
aws-sign2 0.7.0 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
binary-extensions 2.2.0 间接依赖 npm
power-assert-renderer-diagram 1.2.0 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
nodemon 3.0.1 直接依赖 npm
@fastify/busboy 2.0.0 间接依赖 npm
empower-core 1.2.0 间接依赖 npm
@types/power-assert 1.5.12 直接依赖 npm
caseless 0.12.0 间接依赖 npm
@tsconfig/node10 1.0.9 间接依赖 npm
anymatch 3.1.3 间接依赖 npm
power-assert-renderer-comparison 1.2.0 间接依赖 npm
es6-set 0.1.6 间接依赖 npm
escope 3.6.0 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
es6-symbol 3.1.3 间接依赖 npm
qs 6.5.3 间接依赖 npm
he 1.2.0 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
request 2.88.2 直接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
levn 0.3.0 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
log-symbols 4.1.0 间接依赖 npm
commander 2.20.3 间接依赖 npm
array-find 1.0.0 间接依赖 npm
punycode 2.3.0 间接依赖 npm
@jridgewell/trace-mapping 0.3.9 间接依赖 npm
minimist 1.2.8 间接依赖 npm
yocto-queue 0.1.0 间接依赖 npm
chokidar 3.5.3 间接依赖 npm
@types/node 18.19.14 间接依赖 npm
minimatch 5.1.6 间接依赖 npm
word-wrap 1.2.4 间接依赖 npm
nanoid 3.3.1 间接依赖 npm
create-require 1.1.1 间接依赖 npm
@babel/highlight 7.18.6 间接依赖 npm
call-matcher 1.1.0 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
es6-weak-map 2.0.3 间接依赖 npm
@babel/code-frame 7.21.4 间接依赖 npm
depd 1.1.2 间接依赖 npm
y18n 5.0.8 间接依赖 npm
define-properties 1.2.0 间接依赖 npm
color-name 1.1.4 间接依赖 npm
source-map 0.6.1 间接依赖 npm
amdefine 1.0.1 直接依赖 npm
@types/empower-core 1.2.1 间接依赖 npm
inherits 2.0.4 间接依赖 npm
optionator 0.8.3 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
bcrypt-pbkdf 1.0.2 间接依赖 npm
diff 5.0.0 间接依赖 npm
lru-cache 6.0.0 直接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
mocha 9.2.2 直接依赖 npm
chalk 4.1.2 间接依赖 npm
extsprintf 1.3.0 间接依赖 npm
yargs-parser 20.2.4 间接依赖 npm
@jridgewell/resolve-uri 3.1.1 间接依赖 npm
acorn-walk 8.2.0 间接依赖 npm
once 1.4.0 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
@cspotcode/source-map-support 0.8.1 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
stringifier 1.4.0 间接依赖 npm
power-assert-formatter 1.4.1 间接依赖 npm
@types/empower 1.2.32 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
tough-cookie 2.5.0 间接依赖 npm
core-js 2.6.12 间接依赖 npm
escalade 3.1.1 间接依赖 npm
statuses 1.5.0 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
pstree.remy 1.1.8 间接依赖 npm
http-signature 1.2.0 间接依赖 npm
string-width 4.2.3 间接依赖 npm
@tsconfig/node14 1.0.3 间接依赖 npm
touch 3.1.0 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
@types/mocha 9.1.1 直接依赖 npm
deep-is 0.1.4 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
growl 1.10.5 间接依赖 npm
eastasianwidth 0.2.0 间接依赖 npm
empower 1.3.1 间接依赖 npm
concat-map 0.0.1 直接依赖 npm
@types/tough-cookie 4.0.2 间接依赖 npm
universalify 0.1.2 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
yallist 4.0.0 间接依赖 npm
yn 3.1.1 间接依赖 npm
ansi-colors 4.1.1 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
undici-types 5.26.5 间接依赖 npm
call-signature 0.0.2 间接依赖 npm
decamelize 4.0.0 间接依赖 npm
buffer-from 1.1.2 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
ecc-jsbn 0.1.2 间接依赖 npm
prelude-ls 1.1.2 间接依赖 npm
which 2.0.2 间接依赖 npm
supports-color 8.1.1 间接依赖 npm
jsonfile 4.0.0 间接依赖 npm
fsevents 2.3.2 间接依赖 npm
undefsafe 2.0.5 间接依赖 npm
nopt 1.0.10 间接依赖 npm
escallmatch 1.5.0 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
power-assert-context-reducer-ast 1.2.0 间接依赖 npm
empower-assert 1.1.0 间接依赖 npm
getpass 0.1.7 间接依赖 npm
brace-expansion 2.0.1 间接依赖 npm
oauth-sign 0.9.0 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
d 1.0.1 间接依赖 npm
glob 7.2.0 间接依赖 npm
har-validator 5.1.5 间接依赖 npm
asn1 0.2.6 间接依赖 npm
power-assert 1.6.1 直接依赖 npm
form-data 2.5.1 间接依赖 npm
es5-ext 0.10.62 间接依赖 npm
esprima 4.0.1 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
multi-stage-sourcemap 0.2.1 间接依赖 npm
mkdirp 0.5.6 间接依赖 npm
toidentifier 1.0.1 间接依赖 npm
power-assert-renderer-file 1.2.0 间接依赖 npm
@jridgewell/sourcemap-codec 1.4.15 间接依赖 npm
browser-stdout 1.3.1 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
psl 1.9.0 间接依赖 npm
rfdc 1.3.0 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
traverse 0.6.7 间接依赖 npm
jsbn 0.1.1 间接依赖 npm
v8-compile-cache-lib 3.0.1 间接依赖 npm
jsprim 1.4.2 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
aws4 1.12.0 间接依赖 npm
deep-equal 1.1.1 间接依赖 npm
escodegen 1.14.3 间接依赖 npm
has-property-descriptors 1.0.0 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
espower-typescript 10.0.1 直接依赖 npm
p-locate 5.0.0 间接依赖 npm
p-limit 3.1.0 间接依赖 npm
workerpool 6.2.0 间接依赖 npm
arg 4.1.3 间接依赖 npm
power-assert-context-formatter 1.2.0 间接依赖 npm
xtend 4.0.2 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
undici 5.27.2 直接依赖 npm
json-schema 0.4.0 间接依赖 npm
is-binary-path 2.1.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
power-assert-renderer-assertion 1.2.0 间接依赖 npm
@types/yargs-parser 21.0.0 间接依赖 npm
es6-iterator 2.0.3 间接依赖 npm
uuid 3.4.0 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
flatted 3.2.7 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
indexof 0.0.1 间接依赖 npm
forever-agent 0.6.1 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
source-map-support 0.5.21 间接依赖 npm
camelcase 6.3.0 间接依赖 npm
braces 3.0.2 间接依赖 npm
is-unicode-supported 0.1.0 间接依赖 npm
array-filter 1.0.0 间接依赖 npm
escape-string-regexp 4.0.0 间接依赖 npm
@tsconfig/node16 1.0.3 间接依赖 npm
espower-source 2.3.0 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
@tsconfig/node12 1.0.11 间接依赖 npm
semver 5.7.1 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
locate-path 6.0.0 间接依赖 npm
tsutils 2.29.0 间接依赖 npm
event-emitter 0.3.5 间接依赖 npm
espower-location-detector 1.0.0 间接依赖 npm
get-intrinsic 1.2.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
power-assert-context-traversal 1.2.0 间接依赖 npm
multiparty 4.2.3 直接依赖 npm
type-check 0.3.2 间接依赖 npm
flat 5.0.2 间接依赖 npm
esutils 2.0.3 间接依赖 npm
merge-estraverse-visitors 1.0.0 间接依赖 npm
debug 4.3.4 间接依赖 npm
inflight 1.0.6 间接依赖 npm
simple-update-notifier 2.0.0 间接依赖 npm
has 1.0.3 间接依赖 npm
yargs-unparser 2.0.0 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
is-url 1.2.4 间接依赖 npm
@types/yargs 17.0.32 直接依赖 npm
log4js 6.9.1 直接依赖 npm
ignore-by-default 1.0.1 间接依赖 npm
sshpk 1.17.0 间接依赖 npm
cliui 8.0.1 间接依赖 npm
argparse 2.0.1 间接依赖 npm
@ungap/promise-all-settled 1.1.2 间接依赖 npm
type-name 2.0.2 间接依赖 npm
serialize-javascript 6.0.0 间接依赖 npm
ajv 6.12.6 间接依赖 npm
mime-types 2.1.35 间接依赖 npm
readdirp 3.6.0 间接依赖 npm
yargs 17.7.2 间接依赖 npm
power-assert-renderer-base 1.1.1 间接依赖 npm
espower 2.1.2 间接依赖 npm
es6-map 0.1.5 间接依赖 npm
tslib 1.14.1 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
is-plain-obj 2.1.0 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
find-up 5.0.0 间接依赖 npm
http-errors 1.8.1 间接依赖 npm
acorn-es7-plugin 1.1.7 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
graceful-fs 4.2.11 间接依赖 npm
uid-safe 2.1.5 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
random-bytes 1.0.0 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
power-assert-util-string-width 1.2.0 间接依赖 npm
convert-source-map 1.9.0 间接依赖 npm
is-core-module 2.12.0 间接依赖 npm
streamroller 3.1.5 间接依赖 npm
(0)
上一篇 2024年2月8日
下一篇 2024年2月8日

相关推荐

  • KvrocksLabs/kvrocks 软件分析报告

    基础信息 项目名称:KvrocksLabs/kvrocks 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719602682510753792/1719602686403067904 此报告由Murphysec提…

    软件分析 2023年11月1日
    0
  • geocoder-php/Geocoder 软件分析报告

    基础信息 项目名称:geocoder-php/Geocoder 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718070374246957056/1718070374376980480 此报告由Murphyse…

    软件分析 2023年10月28日
    0
  • joshuaferrara/node-csgo 软件分析报告

    基础信息 项目名称:joshuaferrara/node-csgo 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719267292948856832/1719267296417546240 此报告由Murphy…

    软件分析 2023年10月31日
    0
  • jupyter-incubator/sparkmagic 软件分析报告

    基础信息 项目名称:jupyter-incubator/sparkmagic 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719326241437040640/1719326241617395712 此报告由M…

    软件分析 2023年10月31日
    0
  • xeoncross/micromvc 软件分析报告

    基础信息 项目名称:xeoncross/micromvc 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721526232696840192/1721526232877195264 此报告由Murphysec提供…

    软件分析 2023年11月6日
    0